## Query Vectors `client.vectorize.indexes.query(stringindexName, IndexQueryParamsparams, RequestOptionsoptions?): IndexQueryResponse | null` **post** `/accounts/{account_id}/vectorize/v2/indexes/{index_name}/query` Finds vectors closest to a given vector in an index. ### Parameters - `indexName: string` - `params: IndexQueryParams` - `account_id: string` Path param: Identifier - `vector: Array` Body param: The search vector that will be used to find the nearest neighbors. - `filter?: unknown` Body param: A metadata filter expression used to limit nearest neighbor results. - `returnMetadata?: "none" | "indexed" | "all"` Body param: Whether to return no metadata, indexed metadata or all metadata associated with the closest vectors. - `"none"` - `"indexed"` - `"all"` - `returnValues?: boolean` Body param: Whether to return the values associated with the closest vectors. - `topK?: number` Body param: The number of nearest neighbors to find. ### Returns - `IndexQueryResponse` - `count?: number` Specifies the count of vectors returned by the search - `matches?: Array` Array of vectors matched by the search - `id?: string` Identifier for a Vector - `metadata?: unknown` - `namespace?: string | null` - `score?: number` The score of the vector according to the index's distance metric - `values?: Array | null` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.vectorize.indexes.query('example-index', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', vector: [0.5, 0.5, 0.5], }); console.log(response.count); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "count": 0, "matches": [ { "id": "some-vector-id-023e105f4ecef8ad9ca31a8372d0c353", "metadata": {}, "namespace": "namespace", "score": 0, "values": [ 0 ] } ] }, "success": true } ```